/* =============== MENU DESKTOP =============== */

section.navigation * {
    box-sizing: border-box;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

section.navigation p:empty, section.navigation br {
    display: none;
}

section.navigation {
    position: fixed;
    top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--wp--preset--color--mistic-dark);
    width: 100%;
    box-sizing: border-box;
    padding: 10px;
    transition: background-color 0.3s ease;
    z-index: 9998;
}

nav.desktop {
    /* Sztywna szerokość, żeby nie skalowało się za bardzo */
    max-width: 1367px; 
    width: 100%;
    margin: 0 auto; 
    position: relative;
}
/* Górna belka */
nav.desktop .menu-top {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 1367px;
    z-index: 9998;
    transition: all .3s ease-in-out;
}

nav.desktop .menu-top .head-left {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 16px
}

nav.desktop .menu-top .head-center {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
}

nav.desktop .menu-top .head-right {
    display: flex;
    align-items: center;
    gap: 16px;
}
nav.desktop .menu-top .head-right .links {
    display: flex;
    align-items: center;
    gap: 8px;
}


/* Dolna belka */

nav.desktop .menu-bottom .main-navigation{
    display: flex;
    justify-content: center;
    padding: 16px 0;
    padding-bottom: 0;
}

nav.desktop .menu-bottom .main-navigation .nav-menu{
    display: flex;
    gap: 16px;
}

nav.desktop .menu-bottom .nav-menu, 
.submenu {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav.desktop .menu-bottom .nav-item { 
    position: relative; 
    display: flex;
    gap: 2px;
}

nav.desktop .menu-bottom .submenu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    padding: 10px;
    background-color: var(--wp--preset--color--palone-ziarno);
    flex-direction: column;
    gap: 10px;
}

nav.desktop .menu-bottom .submenu::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 1px;
    top: 0;
    left: 0;
    transform: translate(0, -100%);
}

nav.desktop .menu-bottom .nav-item.has-submenu:hover > .submenu,
nav.desktop .menu-bottom .nav-item.submenu-open > .submenu, 
nav.desktop .menu-bottom .nav-item .nav-link-container,
.submenu-overlay .nav-item.submenu-open > .submenu {
    display: flex;
}

nav.desktop .menu-bottom .nav-item .nav-link-container{
    align-items: center;
}

nav.desktop .menu-bottom .nav-item .nav-link-container .submenu-toggle{
    height: 20px;
}

nav.desktop .menu-bottom .nav-item.has-submenu:hover .nav-link-container > a,
nav.desktop .menu-bottom .nav-item.submenu-open .nav-link-container > a,
nav.desktop .menu-bottom .nav-item .nav-link-container:hover > a{
    color: var(--wp--preset--color--karmelowy-slod);
}

nav.desktop .menu-bottom .nav-item.has-submenu .submenu-toggle svg path,
nav.desktop .menu-bottom .nav-item.submenu-open .submenu-toggle svg path{
    transition: fill 0.3s ease;
}

nav.desktop .menu-bottom .nav-item.has-submenu:hover .submenu-toggle svg path,
nav.desktop .menu-bottom .nav-item.submenu-open .submenu-toggle svg path {
    fill: var(--wp--preset--color--karmelowy-slod);
}

nav.desktop .menu-bottom .nav-item.has-submenu:hover .submenu-toggle svg,
nav.desktop .menu-bottom .nav-item.submenu-open .submenu-toggle svg{
    transform: rotate(180deg);
}
nav.desktop .menu-bottom .submenu-item { 
    white-space: nowrap; 
}

  

a:has(.main-logo) {
    display: flex;
}
/* 
@media (max-width: 1400px) {
    nav.desktop {
        padding: 0 10px;
    }
} */


/* =============== OVERLAY SUBMENU (MOBILE/DESKTOP) =============== */
.submenu-overlay {
    position: fixed;
    justify-content: flex-end;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--wp--preset--color--palone-ziarno);
    display: none;
    z-index: 9999;
    overflow-x: auto;
    justify-content: center;
}
.submenu-container {
    padding: 70px 10px;
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 36px;
}

.submenu-container .main-logo-mobile-overlay {
    position: absolute;
    top: 10px;
    left: 10px;
}

.submenu-container .nav-item.submenu-open > .submenu {
    display: flex;
    flex-direction: column;
}

.submenu-container .nav-item.submenu-open > .submenu li:last-child{
    margin-bottom: 8px;
}

.submenu-container .nav-item.submenu-open .nav-link-container > a{
    color: var(--wp--preset--color--karmelowy-slod);
}

.submenu-container .nav-item.has-submenu .submenu-toggle svg path{
    transition: fill 0.3s ease;
}

.submenu-container .nav-item.submenu-open .submenu-toggle svg path {
    fill: var(--wp--preset--color--karmelowy-slod);
}

.submenu-container .nav-item.submenu-open .submenu-toggle svg{
    transform: rotate(180deg);
}

.submenu-container ul {
    list-style: none;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 18px;
}
.submenu-container .main-navigation > ul {
    padding: 0;
}

.submenu-container li {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 26px;
}

.submenu-container .submenu li {
    margin: 0;
}

.submenu-container li.has-submenu .submenu {
    display: none;
}

.submenu-container li.has-submenu .submenu.open {
    display: list-item;
}

.submenu-container li.has-submenu > div{
    position: relative;
    display: flex;
    justify-content: center;
    justify-content: space-between;
    align-items: center;
}


.submenu-container li.has-submenu .submenu-toggle {
    margin-left: 4px;
    height: 20px;
}

.submenu-container .mobile-overlay-buttons{
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    gap: 16px;
}

.submenu-container .mobile-overlay-socials{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
}

.submenu-container a {
    text-decoration: none;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.submenu-close {
    position: fixed;
    top: 10px;
    right: 10px;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    z-index: 10000;
}

@media (min-width: 782px) {
    nav.desktop .menu-top .head-right .menu{
        display: none;
    }
}

@media (max-width: 781px) {
    nav.desktop .menu-top .head-left,
    nav.desktop .menu-top .head-right .wp-block-button,
    nav.desktop .menu-bottom .main-navigation{
        display: none;
    }

    .main-logo {
        width: 150px;
    }
}

@media (max-width: 1000px) {
    nav.desktop .menu-top .head-center {
        position: relative;
        transform: unset;
        left: unset;
    }
}

body:not(.light-header) nav.desktop .main-logo.dark{
    display: none;
}

.light-header .main-logo.white{
    display: none;
}

.light-header nav.desktop a:not(.wp-element-button),
.light-header nav.desktop .wp-block-button.is-style-button-ghost-light a{
    color: var(--wp--preset--color--palone-ziarno);
}

.light-header nav.desktop .wp-block-button.is-style-button-ghost-light .wp-block-button__link:hover {
    border-color: var(--wp--preset--color--palone-ziarno);
}

.light-header nav.desktop .head-left path,
.light-header nav.desktop .menu path{
    fill: var(--wp--preset--color--palone-ziarno);
}